Subject: Re: bug#2291: 23.0.90; finder-commentary

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Feb 2009 17:19:55 +0200

> From: "Drew Adams" <[email-masked]>
> Date: Wed, 11 Feb 2009 15:35:44 -0800
> Cc: 
> 
> I forgot to mention this:
> 
> 3. The doc string of `finder-commentary' does not describe argument LIBRARY. The
> doc string:
> 
> "Display FILE's commentary section.
> FILE should be in a form suitable for passing to `locate-library'."
> 
> But the doc string of `locate-library' also does not say what is suitable for
> its LIBRARY argument:
> 
> "Show the precise file name of Emacs library LIBRARY.
> This command searches the directories in `load-path' like `M-x load-library'
> to find the file that `M-x load-library RET LIBRARY RET' would load.
> Optional second arg NOSUFFIX non-nil means don't add suffixes `load-suffixes'
> to the specified name LIBRARY.
> 
> If the optional third arg PATH is specified, that list of directories
> is used instead of `load-path'.
> 
> When called from a program, the file name is normally returned as a
> string.  When run interactively, the argument INTERACTIVE-CALL is t,
> and the file name is displayed in the echo area."
> 
> That says absolutely nothing about argument LIBRARY, except that it is a
> library. However, it refers you to `load-library'. But the doc string of
> `load-library' also says absolutely nothing about argument LIBRARY. It refers
> you to `load'...
> 
> The user should be told, somewhere along the line (preferably everywhere, if
> short), just which Lisp objects are acceptable as values of argument LIBRARY.

I fixed the doc strings of `load-library' and `locate-library'.